Bug 175127 - Review Request: wavbreaker - Tool for splitting .wav files
Review Request: wavbreaker - Tool for splitting .wav files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Package Reviews List
http://huli.org/wavbreaker
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-06 15:23 EST by Dave Maley
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 17:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Maley 2005-12-06 15:23:40 EST
SPEC URL:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM URL:
http://homer.homelinux.net/RPMS/wavbreaker-0.6.1-homer.2.src.rpm

Description:
This application's purpose in life is to take a wave file and break it up into
multiple wave files, cleanly breaking them at the correct position to burn the
files to an audio cd without any dead air between the tracks.



Additional info:
This is my first package proposal to Fedora Extras and thus I believe I'll also
need a sponsor.
Comment 1 Adrian Reber 2005-12-06 15:48:32 EST
This needs lot of work. The spec file is far from what is specified in the
guidelines at: http://fedoraproject.org/wiki/PackagingGuidelines

* Source needs full URL
* Strange release tag
* Buildroot should be as in the guidelines
* BR libxml2-devel, desktop-file-utils missing
* redundant "-n %{name}-%{version}" in %setup
* why has %configure --prefix added
* make needs smp flags if possible (else comment why not)
* use install -p instead of cp
* use of desktop-file-install is wrong
  (http://fedoraproject.org/wiki/PackagingGuidelines#desktop)
* does not build in mock:
checking for gtk+-2.0 gthread-2.0 libxml-2.0... Package libxml-2.0 was not found
in the pkg-config search path. Perhaps you should add the directory containing
`libxml-2.0.pc' to the PKG_CONFIG_PATH environment variable No package
'libxml-2.0' found
configure: error: Library requirements (gtk+-2.0 gthread-2.0 libxml-2.0) not
met; consider adjusting the PKG_CONFIG_PATH environment variable if your
libraries are in a nonstandard prefix so pkg-config can find them.
error: Bad exit status from /var/tmp/rpm-tmp.19644 (%build)
Comment 2 Dave Maley 2005-12-06 16:44:42 EST
Thanks for the quick initial feedback.  I'll get working on these initial
problems and will update here when done ...
Comment 3 Dave Maley 2005-12-07 01:08:02 EST
OK I believe I've addressed all the problems listed above.  SPEC location is
unchanged.

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.6.1-3.src.rpm
Comment 4 Denis Leroy 2005-12-07 03:01:21 EST
It's missing a "BuildRequires: alsa-lib-devel".
Comment 5 Dave Maley 2005-12-08 12:13:01 EST
OK thanks, will get that updated.  Working on getting the fedora-rpmdevtools
loaded which will hopefully assist me in getting all these missing deps
resolved.  Will post an update here once done ...
Comment 6 Dave Maley 2005-12-09 18:14:39 EST
OK I got the fedora-rpmdevtools installed and believe I've now captured all the
necessary BuildRequires packages.  Updated SPEC is at the same location:

SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.6.1-4.src.rpm
Comment 7 Dave Maley 2005-12-10 16:13:01 EST
D'oh!  Looks like I still need to add a couple Requires.  According to the
project homepage (http://huli.org/wavbreaker/info.html) GTK+ >= 2.0 and libxml
>= 2.0 are required.  And for FC I believe this should be gtk2 and libxml2
however I question whether I need to have these versioned or not?  Any guidance
on this is greatly appreciated.
Comment 8 Ignacio Vazquez-Abrams 2005-12-10 16:24:26 EST
You shouldn't need to add them as Requires. rpmbuild picks up what Requires it
can from the executables in the package.
Comment 9 Denis Leroy 2005-12-10 17:01:19 EST
Successfull build in mock for FC-3, FC-4 and devel. I would suggest you add a
%{?dist} tag after the release version if you plan on submitting it for all 3.
Also, as Ignacio said, the Requires in comment #7 are not necessary. Otherwise
it looks good. I'll accept the package, though i think you first need to be
sponsored and unfortunately i can't help you with that.

I noticed wavbreaker has problem playing sound through Alsa, the sound is all
jittery and weird (is fine with OSS).
Comment 10 Adrian Reber 2005-12-11 03:42:18 EST
The build requires for pango-devel and glib2-devel are not necessary as these
are already required by gtk2-devel.

The following are not blockers:

I cannot notice any problems when playing sound through alsa and I also think
that for Fedora the audio output should default to alsa and not oss.

I would also like to see the Name and Comment in the desktop file to start with
uppercase letters because that is the way all the other applications do it in my
menu.

It would also be nice to have a MimeType added to the desktop file to be able to
start wavbreaker directly from nautils (don't forget to update the desktop
database if you do this: see http://fedoraproject.org/wiki/ScriptletSnippets)

It would be also nice if %setup would have the "-q" as most other Fedora
packages have.
Comment 11 Dave Maley 2005-12-12 12:44:42 EST
OK thanks, I'll remove the pango-devel and glib2-devel BR and will also add a
%{?dist} tag since I'd love to get this included for all maintained releases. 
I'll likely go ahead and inplement the other suggestions you've made here so
that wavbreaker stays consistent w/ the other packages in Fedora.  However I'll
have to look into having it default to ALSA rather than OSS.  The ALSA support
was recently added so I want to be sure it doesn't introduce too many problems.

Denis - On my home system, which has an RME Digi96/8 PST soundcard, I had to
change the soundcrad configuration for ALSA to be "hw:0,0" however on all other
systems I've tested with the default of "plughw:0,0" has worked just fine.

And I'll see what I can do to track down a sponsor ...

Thanks to all who have responded here w/ comments and/or suggestions!
Comment 12 Dave Maley 2005-12-19 16:34:36 EST
Updated based on previous comments:

- added disttag
- removed pango-devel and glib2-devel BR
- Name and Comment in .desktop start w/ uppercase letters
- added -q to %setup
- added audio/x-wav MimeType in .desktop


SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.6.1-5.src.rpm


There is still 1 outstanding request which is to have wavbreaker default to
ALSA. I agree that this should be changed and will be working on a patch to
address this, however I likely won't have time until after the holidays to
complete it.


I have 1 additional question based on the ScriptletSnippets wiki page.  Should I
add gtk-update-icon-cache to %post and %postun?
Comment 13 Dave Maley 2006-01-25 12:50:46 EST
OK I've finally had a chance to patch wavbreaker to default to ALSA.  The
updated package and SPEC can be found here:

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.6.1-6.src.rpm

SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

Please let me know if there are any further problems or changes needed. 
Otherwise what are the next steps for getting wavbreaker included in Extras?
Comment 14 Dave Maley 2006-02-27 22:39:20 EST
Updated for release of wavbreaker 0.7:

SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.7-1.src.rpm

New in 0.7 release:
 + Added ./configure checking for alsa and oss
 + Added a dialog to ask if you "really" want to quit
 + Added checks for existing files and dialogs to say yes or no to overwrite the
existing files
Comment 15 Adrian Reber 2006-03-19 14:59:31 EST
* builds cleanly in mock
* source matches upstream
* spec looks good
* clean installation and removal
* rpmlint is almost happy
W: wavbreaker no-documentation

ACCEPTED

Please include ChangeLog CONTRIBUTORS NEWS AUTHORS COPYING README TODO as %doc
before building it. Without COPYING included this package cannot be built.
Comment 16 Dave Maley 2006-03-21 17:15:16 EST
Included ChangeLog CONTRIBUTORS NEWS AUTHORS COPYING README TODO as %doc.  The
updated package and SPEC can be found here:

SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.7-2.src.rpm

Please let me know if there is anything else needed ...
Comment 17 Adrian Reber 2006-04-02 14:04:14 EDT
Don't copy the files to the doc directory. Just add following line to your
%files section:

%doc ChangeLog CONTRIBUTORS NEWS AUTHORS COPYING README TODO
Comment 18 Dave Maley 2006-04-03 18:09:24 EDT
OK thanks, wasn't sure the proper way to do that so I appreciate the info.  An
updated SRPM and SPEC available from the usual locations:

SPEC:
http://homer.homelinux.net/RPMS/wavbreaker.spec

SRPM:
http://homer.homelinux.net/RPMS/wavbreaker-0.7-3.src.rpm
Comment 19 Adrian Reber 2006-05-02 08:24:50 EDT
APPROVED

go ahead and import it into CVS
Comment 20 Patrice Dumas 2006-08-28 19:01:47 EDT
What is happening to that request? There seems to be nothing
in owners.list and in repo?

Comment 21 Denis Leroy 2006-08-29 08:17:09 EDT
Did the packager get sponsored ? 
Comment 22 Dave Maley 2006-08-29 09:56:45 EDT
To my knowledge I have not yet been sponsored.  If there's something I need to
do for this please point me in the right direction.
Comment 23 Denis Leroy 2006-08-29 11:38:10 EDT
http://fedoraproject.org/wiki/Extras/HowToGetSponsored

Normally the reviewer who approved the package is responsible for sponsoring
you. Is Adrian Reber awol ? 

Adrian ?
Comment 24 Dave Maley 2006-09-05 13:00:46 EDT
Doesn't seem Adrian's around ... ?

Should I add this to the FE-NEEDSPONSOR bug to solicit another sponsor?  Or is
there a different procedure seeing as how it's already on FE-ACCEPT?

Thanks for all the help thus far.
Comment 25 Adrian Reber 2006-09-05 14:28:07 EDT
I was on holiday until yesterday. Dave, I will contact you directly and we can
try to continue from here.

Note You need to log in before you can comment on or make changes to this bug.